package com.zanxiang.game.module.manage.rpc.impl;

import com.zanxiang.game.module.base.rpc.IPayBoxRpc;
import com.zanxiang.module.util.pojo.ResultVO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.DubboService;

/**
 * @author : lingfeng
 * @time : 2024-01-16
 * @description : 支付盒子
 */
@Slf4j
@DubboService
public class PayBoxRpcImpl implements IPayBoxRpc {

    @Override
    public ResultVO<Boolean> payBoxBan(String appId) {
        log.error("监测到的 appId : {}", appId);
        return ResultVO.ok(Boolean.TRUE);
    }

}
